Subject: Re: bug#6922: 23.1; Setting read-only property in an overlay has no effect

From: John Wiegley <[email-masked]>
Date: Sun, 07 Feb 2016 17:24:26 -0500

>>>>> Eli Zaretskii <[email-masked]> writes:

> What is the current consensus? should we adjust the documentation or fix the
> code? John? Richard?

I think read-only overlays could be very useful. For example:

 1. Create a command called `mask-regexp'. It creates read-only overlays for
    matching text throughout the buffer.
 2. There should also be a way to add manual masks, using `mask-region'.
 3. Now use `replace-string' or any other command to bulk transform text.
    However, masked text is not changed.
 4. Then execute unmask-all, and the mask disappears.

This method of editing is key to video editing workflows. I think the only
reason I never thought to use it in Emacs is because it's never been there
(and so never occurred to me until now).

-- 
John Wiegley                  GPG fingerprint = 4710 CF98 AF9B 327B B80F
http://newartisans.com                          60E1 46C4 BD1A 7AC1 4BA2